%define upstream_name    WebService-Solr
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Module to interface with the Solr (Lucene) webservice
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.160.0
BuildRequires: perl(Data::Page)
BuildRequires: perl(Data::Pageset)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(JSON::XS)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::Mock::LWP) >= 0.50.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI) >= 1.280.0
BuildRequires: perl(XML::Easy)
BuildRequires: perl(XML::Simple)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
WebService::Solr is a client library for Apache Lucene's Solr; an
enterprise-grade indexing and searching platform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Jun 05 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 255582
- update to 0.19

* Fri Oct 14 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 154901
- update to 0.16
- update to 0.15

* Fri Jun 17 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 109113
- update to 0.14

* Wed Apr 13 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 84238
- update to 0.12

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 36649
- mageia rebuild
- imported package perl-WebService-Solr


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.110.0-2mdv2011.0
+ Revision: 624957
- Add explicit dependencies
- import perl-WebService-Solr

